org.jbpm.workflow.instance.node

## Class CompositeNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.StateBasedNodeInstance
      - - org.jbpm.workflow.instance.node.CompositeNodeInstance

- All Implemented Interfaces:
    Serializable, EventBasedNodeInstanceInterface, EventNodeInstanceInterface, org.kie.api.runtime.process.EventListener, org.kie.api.runtime.process.NodeInstance, org.kie.api.runtime.process.NodeInstanceContainer
  Direct Known Subclasses:
    CompositeContextNodeInstance

      public class CompositeNodeInstance
      extends StateBasedNodeInstance
      implements NodeInstanceContainer, EventNodeInstanceInterface, EventBasedNodeInstanceInterface

  Runtime counterpart of a composite node.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `CompositeNodeInstance.CompositeNodeEndInstance`
    `class` | `CompositeNodeInstance.CompositeNodeStartInstance`

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

    - ### Nested classes/interfaces inherited from interface org.jbpm.workflow.instance.NodeInstance

      `NodeInstance.CancelType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancelType, dynamicParameters, slaCompliance, slaDueDate, slaTimerId, triggerTime, UNIQUE_ID`

    - ### Fields inherited from interface org.jbpm.workflow.instance.NodeInstance

      `METADATA_WRAP_ASYNC_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventListeners()`
    `void` | `addNodeInstance(NodeInstance nodeInstance)`
    `void` | `cancel(NodeInstance.CancelType cancelType)`
    `protected CompositeNode` | `getCompositeNode()`
    `int` | `getCurrentLevel()`
    `NodeInstance` | `getFirstNodeInstance(long nodeId)`
    `Map<String,Integer>` | `getIterationLevels()`
    `int` | `getLevelForNode(String uniqueID)`
    `org.kie.api.definition.process.NodeContainer` | `getNodeContainer()`
    `NodeInstance` | `getNodeInstance(long nodeInstanceId)`
    `NodeInstance` | `getNodeInstance(long nodeInstanceId, boolean recursive)`
    `NodeInstance` | `getNodeInstance(org.kie.api.definition.process.Node node)`
    `Collection<org.kie.api.runtime.process.NodeInstance>` | `getNodeInstances()`
    `Collection<NodeInstance>` | `getNodeInstances(boolean recursive)`
    `List<NodeInstance>` | `getNodeInstances(long nodeId)`
    `List<NodeInstance>` | `getNodeInstances(long nodeId, List<NodeInstance> currentView)`
    `int` | `getState()`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `protected void` | `internalTriggerOnlyParent(org.kie.api.runtime.process.NodeInstance from, String type)`
    `protected boolean` | `isLinkedIncomingNodeRequired()`
    `void` | `nodeInstanceCompleted(NodeInstance nodeInstance, String outType)`
    `void` | `removeEventListeners()`
    `void` | `removeNodeInstance(NodeInstance nodeInstance)`
    `void` | `setCurrentLevel(int currentLevel)`
    `void` | `setProcessInstance(WorkflowProcessInstance processInstance)`
    `void` | `setState(int state)`
    `void` | `signalEvent(String type, Object event)`
    `void` | `triggerCompleted(String outType)`
    `protected boolean` | `useAsync(org.kie.api.definition.process.Node node)`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance

      `addTimerListener, checkDeclarationMatch, checkProcessInstance, configureSla, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getEventTypes, getTimerInstances, handleSLAViolation, internalSetTimerInstances, mapDynamicOutputData, registerBoundaryEvents, resolveVariable, triggerCompleted, triggerCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, handleAssignment, mapOutputSetVariables, mapOutputSetVariables, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, executeAction, followConnection, getCancelType, getExecutionErrorHandler, getFrom, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getTriggerTime, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isAborted, isInversionOfControl, resolveContext, resolveContextInstance, resolveContextInstance, retrigger, setAborted, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeNodeInstance

          public CompositeNodeInstance()

  - ### Method Detail

    - #### getLevelForNode

          public int getLevelForNode(String uniqueID)

    - #### setProcessInstance

          public void setProcessInstance(WorkflowProcessInstance processInstance)

      Overrides:
        `setProcessInstance` in class `NodeInstanceImpl`

    - #### getCompositeNode

          protected CompositeNode getCompositeNode()

    - #### getNodeContainer

          public org.kie.api.definition.process.NodeContainer getNodeContainer()

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Overrides:
        `internalTrigger` in class `StateBasedNodeInstance`

    - #### internalTriggerOnlyParent

          protected void internalTriggerOnlyParent(org.kie.api.runtime.process.NodeInstance from,
                                                   String type)

    - #### isLinkedIncomingNodeRequired

          protected boolean isLinkedIncomingNodeRequired()

    - #### triggerCompleted

          public void triggerCompleted(String outType)

    - #### cancel

          public void cancel(NodeInstance.CancelType cancelType)

      Overrides:
        `cancel` in class `StateBasedNodeInstance`

    - #### addNodeInstance

          public void addNodeInstance(NodeInstance nodeInstance)

    - #### removeNodeInstance

          public void removeNodeInstance(NodeInstance nodeInstance)

    - #### getNodeInstances

          public Collection<org.kie.api.runtime.process.NodeInstance> getNodeInstances()

      Specified by:
        `getNodeInstances` in interface `org.kie.api.runtime.process.NodeInstanceContainer`

    - #### getNodeInstances

          public Collection<NodeInstance> getNodeInstances(boolean recursive)

    - #### getNodeInstance

          public NodeInstance getNodeInstance(long nodeInstanceId)

      Specified by:
        `getNodeInstance` in interface `org.kie.api.runtime.process.NodeInstanceContainer`

    - #### getNodeInstance

          public NodeInstance getNodeInstance(long nodeInstanceId,
                                              boolean recursive)

    - #### getFirstNodeInstance

          public NodeInstance getFirstNodeInstance(long nodeId)

    - #### getNodeInstance

          public NodeInstance getNodeInstance(org.kie.api.definition.process.Node node)

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `EventNodeInstanceInterface`
      Specified by:
        `signalEvent` in interface `org.kie.api.runtime.process.EventListener`
      Overrides:
        `signalEvent` in class `StateBasedNodeInstance`

    - #### getNodeInstances

          public List<NodeInstance> getNodeInstances(long nodeId)

    - #### getNodeInstances

          public List<NodeInstance> getNodeInstances(long nodeId,
                                                     List<NodeInstance> currentView)

    - #### addEventListeners

          public void addEventListeners()

      Specified by:
        `addEventListeners` in interface `EventBasedNodeInstanceInterface`
      Overrides:
        `addEventListeners` in class `StateBasedNodeInstance`

    - #### removeEventListeners

          public void removeEventListeners()

      Specified by:
        `removeEventListeners` in interface `EventBasedNodeInstanceInterface`
      Overrides:
        `removeEventListeners` in class `StateBasedNodeInstance`

    - #### nodeInstanceCompleted

          public void nodeInstanceCompleted(NodeInstance nodeInstance,
                                            String outType)

    - #### setState

          public void setState(int state)

    - #### getState

          public int getState()

    - #### getCurrentLevel

          public int getCurrentLevel()

    - #### setCurrentLevel

          public void setCurrentLevel(int currentLevel)

    - #### getIterationLevels

          public Map<String,Integer> getIterationLevels()

    - #### useAsync

          protected boolean useAsync(org.kie.api.definition.process.Node node)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.